# SV_Semaphore_Complex.h File Reference

`#include "ace/SV_Semaphore_Simple.h"`
`#include "ace/SV_Semaphore_Complex.inl"`

Include dependency graph for SV_Semaphore_Complex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SV_Semaphore_Complex
| This is a more complex semaphore wrapper that handles race conditions for initialization correctly... More...

## Detailed Description

Id
  SV_Semaphore_Complex.h,v 4.21 2006/01/16 19:38:12 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>